<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow(modal)" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button (click)="printPDF()" class="btn btn-danger ml-1" [disabled]="!dataGrid">
    <i class="far fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
    <div class="card-body">

      <div *ngIf="!loading">

        <kendo-grid [data]="dataGrid" [filter]="filter" [filterable]="true" (filterChange)="filterChange($event)"
                    [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort"
                    [sortable]="true"
                    (sortChange)="sortChange($event)" [groupable]="true" [group]="groups"
                    (groupChange)="groupChange($event)" (edit)="editRow($event, modal)"
                    (remove)="deleteRow($event)" style="height: 69vh">
            <kendo-grid-column field="Idioma" title="Idioma" width="90" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="idesc" title="Descripción" width="320"></kendo-grid-column>
            <kendo-grid-column field="iconm" title="Conmutador"></kendo-grid-column>
            <kendo-grid-column field="nletra" title="Numero a Letra" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                <ng-template kendoGridFilterCellTemplate>
                    <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
                    </kendo-switch>
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem>
                    <input type="checkbox" [checked]="dataItem.Inactivo" disabled/>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-command-column title="Actions" width="220">
                <ng-template kendoGridCellTemplate let-isNew="isNew">
                    <button kendoGridEditCommand [primary]="true">Editar</button>
                    <button kendoGridRemoveCommand>Eliminar</button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>

      </div>
      <app-loading *ngIf="loading"></app-loading>
    </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-graf">{{ flagEdit? 'Editar' : 'Nuevo' }}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <form [formGroup]="myFormGroup" class="k-form">
          <div class="row d-flex justify-content-between">
              <div class="col-6">
                  <label for="Estado">Idioma</label>
                  <input type="text" class="form-control" name="Idioma"
                         [(ngModel)]="myFormGroup.value.Idioma"
                         autofocus formControlName="Idioma" [readOnly]="flagEdit" maxlength="1">
              </div>
              <div class="col-4">
                  <label for="Inactivo" class="ml-4">Inactivo</label>
                  <kendo-switch class="ml-4" name="Inactivo" [(ngModel)]="myFormGroup.value.Inactivo"
                                formControlName="Inactivo"
                                [onLabel]="'Si'" [offLabel]="'No'">
                  </kendo-switch>
              </div>
              <div class="col-12">
                  <label for="idesc">Desc</label>
                  <input type="text" class="form-control" name="idesc"
                         [(ngModel)]="myFormGroup.value.idesc"
                         formControlName="idesc" maxlength="30">
              </div>
              <div class="col-6">
                  <label for="iconm">Conmutador</label>
                  <input type="text" class="form-control" name="iconm"
                         [(ngModel)]="myFormGroup.value.iconm"
                         formControlName="iconm" maxlength="5">
              </div>
              <div class="col-6">
                  <label for="nletra">Número a letra</label>
                  <input type="text" class="form-control" name="nletra"
                         [(ngModel)]="myFormGroup.value.nletra"
                         formControlName="nletra" maxlength="1">
              </div>


          </div>
    </form>

  </div>
  <div class="modal-footer">
    <button class="btn btn-success" (click)="guardarForm(); c();"
    [disabled]="myFormGroup.invalid">
      <i class="fas fa-save mr-2"></i>Guardar
    </button>
    <button class="btn btn-secondary" (click)="cerrarForm(); c('Close click')">Cerrar</button>
  </div>
</ng-template>
